List Simulation Run Items

Returns the run items for the specified simulation run.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the simulation run.

Query parameters

simulationIdstringOptionalformat: "uuid"
Filters run items to a specific simulation.
runIdstringOptionalformat: "uuid"
Filters run items to a specific run.
statusenumOptional
Filters run items by status.
pagedoubleOptional>=1
This is the page number to return. Defaults to 1.
sortOrderenumOptional
This is the sort order for pagination. Defaults to 'DESC'.
Allowed values:
sortByenumOptional
This is the column to sort by. Defaults to 'createdAt'.
Allowed values:
limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

idstringformat: "uuid"
This is the unique identifier for the simulation run item.
orgIdstringformat: "uuid"
This is the unique identifier for the organization.
simulationIdstringformat: "uuid"
This is the ID of the simulation this run belongs to.
statusenum
The run item's current status.
queuedAtdatetime

This is the ISO 8601 date-time string of when the run was queued.

createdAtdatetime

This is the ISO 8601 date-time string of when the run item was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the run item was last updated.

startedAtdatetimeOptional

This is the ISO 8601 date-time string of when the run started.

completedAtdatetimeOptional

This is the ISO 8601 date-time string of when the run completed.

failedAtdatetimeOptional

This is the ISO 8601 date-time string of when the run failed.

canceledAtdatetimeOptional

This is the ISO 8601 date-time string of when the run was canceled.

failureReasonstringOptional<=2000 characters
Why the run item failed, when applicable.
callIdstringOptionalformat: "uuid"
The ID of the call that ran this item.
runIdstringOptionalformat: "uuid"

This is the ID of the parent run (batch/group).

hookslist of objectsOptional
Hooks configured for this simulation run item
iterationNumberdoubleOptionalDefaults to 1
Which iteration of the simulation this item represents.
sessionIdstringOptionalformat: "uuid"

This is the session ID for chat-based simulations (webchat transport).

scenarioIdstringOptionalformat: "uuid"
The ID of the scenario used for this run item.
personalityIdstringOptionalformat: "uuid"
The ID of the personality used for this run item.
metadataobjectOptional
This is the metadata containing snapshots and call data.
resultsobjectOptional
The evaluation results for this run item.
improvementSuggestionsobjectOptional

AI-generated suggestions for improving the assistant or squad’s system prompt, tools, and scenarios after a failed run.

configurationsobjectOptional
This is the configuration for how this simulation run executes.